﻿@charset "utf-8";

body,
html {
    margin: 0;
    padding: 0;
    font-family: "Segoe UI", "Helvetica Neue", Helvetica, Verdana, "san-serif";
    height: 100%;
    width: 100%;
}

.dx-toolbar .dx-button .dx-icon {
    width: 25px;
}

.dx-numberbox.dx-texteditor.dx-widget {
    text-align-last: right;
}

.dx-datagrid-header-panel .dx-toolbar-after :nth-child(2) {
    display: none;
}

.dx-overlay-content.dx-toast-success.dx-toast-content.dx-resizable {
    width: 800px !important;
}

.dx-overlay-content.dx-toast-error.dx-toast-content.dx-resizable {
    width: 800px !important;
}

.dx-datagrid-header-panel .dx-toolbar-after :nth-child(3) {
    display: none;
}

.dx-overlay-content.dx-popup-normal.dx-popup-draggable.dx-resizable.dx-dropdowneditor-overlay-flipped {
    width: 300px !important;
}

@font-face {
    font-family: "OpenSansCondensedBold";
    src: url("../../core/fonts/OpenSansCondensedBold.eot");
    src: url("../../core/fonts/OpenSansCondensedBold.eot?#iefix")format("embedded-opentype"), url("../../core/fonts/OpenSansCondensedBold.woff") format("woff"), url("../../core/fonts/OpenSansCondensedBold.ttf") format("truetype");
    font-style: normal;
    font-weight: normal;
}

.dx-tab-selected:after {
    border-left: 1px solid #ddd !important;
    border-right: 1px solid #ddd !important;
    border-top: none !important;
}

.dx-tabpanel.dx-state-focused .dx-tab:not(.dx-tab-selected):before {
    border-bottom: 1px solid #ddd !important;
}

.dx-tabpanel.dx-state-focused .dx-multiview-wrapper {
    border: 1px solid #ddd !important;
}

:root {
    --custom-max-width-800: 0;
}

.login-header {
    background-color: white;
    font-family: 'OpenSansCondensedBold', 'HelveticaNeue-CondensedBold', Helvetica, 'Arial Narrow', Calibri, Arial, 'Lucida Grande', sans-serif;
    width: 100%;
    top: 0;
    height: 35px;
    -webkit-box-shadow: 0 8px 5px 0 rgba(0, 0, 0, 0.4);
    -moz-box-shadow: 0 8px 5px 0 rgba(0, 0, 0, 0.4);
    box-shadow: 0 8px 5px 0 rgba(0, 0, 0, 0.4);
    padding-top: 10px;
    padding-bottom: 10px;
}

.login-header .layout-logo {
    font-size: 27px;
    text-decoration: none;
    float: left;
    margin: 0 10px 10px 30px;
    color: #f05b41;
}

.login-content {
    height: 100%;
    position: relative;
}

.login-left {
    position: fixed;
    top: 56px;
    left: 0;
    width: 25%;
    height: 100%;
    background-color: #F5F5F5;
    float: left;
}

.login-left-form {
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 5px;
    padding-bottom: 5px;
}

.login-left-savebutton {
    margin-left: 20px;
}

.login-error-message {
    margin-left: 20px;
    color: red;
}

.login-right {
    background-color: #627789;
    position: fixed;
    top: 56px;
    right: 0;
    width: 75%;
    height: 100%;
    float: right;
}

.login-company-logo-container {
    position: absolute;
    bottom: 84px;
    width: 100%;
    text-align: center;
    z-index: -1;
}

.login-company-logo {
    width: 110px;
    height: 50px;
}

.login-company-name-container {
    position: absolute;
    width: 100%;
    bottom: 56px;
    text-align: center;
    font-family: 'OpenSansCondensedBold', 'HelveticaNeue-CondensedBold', Helvetica, 'Arial Narrow', Calibri, Arial, 'Lucida Grande', sans-serif;
    font-size: 12px;
    color: black;
    z-index: -1;
}

.login-company-name {
    padding: 0px;
    margin: 0px;
}

.login-copyright {
    padding: 0px;
    margin: 0px;
}

@media screen and (max-width: 800px) {
    .login-right {
        display: none;
    }

    .login-company-logo-container {
        position: absolute;
        bottom: 85px;
        width: 100%;
        text-align: center;
        z-index: -1;
    }

    .login-company-logo {
        width: 110px;
        height: 50px;
    }

    .login-company-name-container {
        position: absolute;
        width: 100%;
        bottom: 57px;
        text-align: center;
        font-family: 'OpenSansCondensedBold', 'HelveticaNeue-CondensedBold', Helvetica, 'Arial Narrow', Calibri, Arial, 'Lucida Grande', sans-serif;
        font-size: 12px;
        color: black;
        z-index: -1;
    }

    .login-left {
        width: 100%;
    }

    :root {
        --custom-max-width-800: 1;
    }

    .dx-overlay-content.dx-toast-success.dx-toast-content.dx-resizable {
        width: 400px !important;
    }

    .dx-overlay-content.dx-toast-error.dx-toast-content.dx-resizable {
        width: 400px !important;
    }
}

@media screen and (max-height: 400px) {

    .login-header {
        display: none;
    }

    .login-content {
        width: 100%;
        height: 100%;
        position: fixed;
        overflow: auto;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
    }

    .login-right {
        top: 0;
    }

    .login-left {
        top: 0;
        position: relative;
    }

    .login-company-logo-container {
        position: absolute;
        bottom: 85px;
        width: 100%;
        text-align: center;
        z-index: -1;
    }

    .login-company-logo {
        width: 110px;
        height: 50px;
    }

    .login-company-name-container {
        position: absolute;
        width: 100%;
        bottom: 57px;
        text-align: center;
        font-family: 'OpenSansCondensedBold', 'HelveticaNeue-CondensedBold', Helvetica, 'Arial Narrow', Calibri, Arial, 'Lucida Grande', sans-serif;
        font-size: 12px;
        color: black;
        z-index: -1;
    }
}

@media screen and (max-width: 600px) {

    .dx-overlay-content.dx-toast-success.dx-toast-content.dx-resizable {
        width: 300px !important;
    }

    .dx-overlay-content.dx-toast-error.dx-toast-content.dx-resizable {
        width: 300px !important;
    }

    .login-company-logo-container {
        position: absolute;
        bottom: 94px;
        width: 100%;
        text-align: center;
        z-index: -1;
    }

    .login-company-logo {
        width: 110px;
        height: 50px;
    }

    .login-company-name-container {
        position: absolute;
        width: 100%;
        bottom: 60px;
        text-align: center;
        font-family: 'OpenSansCondensedBold', 'HelveticaNeue-CondensedBold', Helvetica, 'Arial Narrow', Calibri, Arial, 'Lucida Grande', sans-serif;
        font-size: 12px;
        color: black;
        z-index: -1;
    }
}

